//--------------------------------------------------------------------------------------------------
//
// Title       : PC
// Design      : mips2000
//
//-------------------------------------------------------------------------------------------------
//
// Description :	Program counter
//					32 Bit register that holds the address of the instruction
//					that gets currently processed
//--------------------------------------------------------------------------------------------------
`timescale 1ns / 1ps

module PC(
	output	[31:0]	PC,			// Current Address
	input	[31:0]	next_PC,	// Address to load for next clock cycle
	input			reset,		// Reset
	input			clk			// Clock
);

reg [31:0] PC;

// update the value of PC at the rising clock edge
always @(posedge clk) begin
	PC <= (reset) ? 32'h00000000 : next_PC;
end

endmodule
